Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1362165 - doesn't connect to wifi after resume
Summary: doesn't connect to wifi after resume
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: NetworkManager
Version: 24
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Lubomir Rintel
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-01 12:44 UTC by Matthias Clasen
Modified: 2016-08-19 19:50 UTC (History)
10 users (show)

Fixed In Version: NetworkManager-1.4.0-0.5.git20160621.072358da.fc25 NetworkManager-1.2.4-2.fc24
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-08-19 19:50:19 UTC


Attachments (Terms of Use)
logs (deleted)
2016-08-04 19:12 UTC, Matthias Clasen
no flags Details
debug log of NetworkManager-1:1.2.4-1.fc24 (suspend and resume) (deleted)
2016-08-06 22:10 UTC, Jens Lody
no flags Details
debug log from 1:1.2.2-2.fc24 (suspend and resume) (deleted)
2016-08-06 22:14 UTC, Jens Lody
no flags Details

Description Matthias Clasen 2016-08-01 12:44:08 UTC
I've been seeing this for a while on this rawhide machine: suspend at home, go to the office, resume - network manager does not scan for aps and makes no attempt to connect. The ap list in gnome-shell shows only my home ap.

Calling nmcli device wifi rescan does not make any difference at this point, I have to restart NetworkManager.

Comment 1 Fedora Blocker Bugs Application 2016-08-01 12:49:38 UTC
Proposed as a Blocker for 25-beta by Fedora user mclasen using the blocker tracking app because:

 This breaks suspend/resume workflow. I expect my laptop to come up in working state after I open the lid.

Comment 2 Dan Williams 2016-08-02 17:58:10 UTC
When this happens, can you run 'nmcli gen' and report the output?  Need to figure out if NM is somehow missing the resume signal or if it's some other bug.

Comment 3 Matthias Clasen 2016-08-03 11:14:47 UTC
Here is what nmcli gen says in this state:

STATE                   CONNECTIVITY  WIFI-HW  WIFI     WWAN-HW  WWAN    
connected (local only)  limited       enabled  enabled  enabled  enabled

Comment 4 Dan Williams 2016-08-03 19:32:33 UTC
Ok, can you:

nmcli g log level debug
suspend
wait 30s
resume

then grab 'journalctl -b -u NetworkManager'?

Comment 5 Matthias Clasen 2016-08-04 12:55:07 UTC
of course, when I try this here, it doesn't happen. I've only seen this problem when commuting from home to office or vice versa. Will capture that journal output when I commute next

Comment 6 Matthias Clasen 2016-08-04 19:12:11 UTC
Created attachment 1187626 [details]
logs

Comment 7 Dan Williams 2016-08-05 15:02:36 UTC
That all looks OK from the NM side so far:

Aug 04 14:05:12 localhost.localdomain NetworkManager[13502]: <info>  [1470333912.3574] device (wlp3s0): state change: unavailable -> disconnected (reason 'supplicant-available') [20 30 42]

Can you do one more test?

sudo nmcli g log level debug domains PLATFORM,RFKILL,ETHER,WIFI,BT,MB,DHCP4,DHCP6,PPP,IP4,IP6,AUTOIP4,DNS,VPN,SHARING,SUPPLICANT,AGENTS,SETTINGS,SUSPEND,CORE,DEVICE,OLPC,WIMAX,INFINIBAND,FIREWALL,ADSL,BOND,VLAN,BRIDGE,TEAM,CONCHECK,DCB,DISPATCH,WIFI_SCAN

which will tell us whether NM is requesting wifi scans on wake.

Comment 8 Jens Lody 2016-08-06 22:10:12 UTC
Created attachment 1188269 [details]
debug log of NetworkManager-1:1.2.4-1.fc24 (suspend and resume)

I get the same (?) issue on F24 after the update to 1:1.2.4-1.fc2: no start after resume.
After restarting NetworkManager I've got a working connection, but the icon in the panel is a question-mark and "nmcli gen" says the CONNECTIVITY is limited.
Downgrading to 1:1.2.2-2.fc24 make it work as expected.
Attached is a log after running "sudo nmcli g log level debug domains PLATFORM,RFKILL,ETHER,WIFI,BT,MB,DHCP4,DHCP6,PPP,IP4,IP6,AUTOIP4,DNS,VPN,SHARING,SUPPLICANT,AGENTS,SETTINGS,SUSPEND,CORE,DEVICE,OLPC,WIMAX,INFINIBAND,FIREWALL,ADSL,BOND,VLAN,BRIDGE,TEAM,CONCHECK,DCB,DISPATCH,WIFI_SCAN"

Comment 9 Jens Lody 2016-08-06 22:14:58 UTC
Created attachment 1188270 [details]
debug log from 1:1.2.2-2.fc24 (suspend and resume)

And here is the same output of 1:1.2.2-2.fc24 .

Comment 11 Geoffrey Marr 2016-08-08 17:38:31 UTC
Discussed during the 2016-08-08 blocker review meeting: [1]

The decision was made to classify this as an AcceptedFreezeException and delay the classification of this as a blocker as the current criteria do not acknowledge this as a blocker, however there was talk of modifying the criteria so that this could be classified as a blocker. Until there is consensus as to how to classify this, the decision to classify as a blocker is delayed.

[1] https://meetbot.fedoraproject.org/fedora-blocker-review/2016-08-08/f25-blocker-review.2016-08-08-16.01.txt

Comment 12 Beniamino Galvani 2016-08-09 11:48:54 UTC
Patches from comment 10 applied to nm-1-2 upstream branch. See also:

https://mail.gnome.org/archives/networkmanager-list/2016-August/msg00038.html

Comment 13 Adam Williamson 2016-08-09 21:25:53 UTC
This has been granted a freeze exception for F25 Alpha, so if someone can do an NM package build with the patches - ideally *only* these changes - it can go into the Alpha.

Comment 14 Fedora Update System 2016-08-11 15:43:31 UTC
NetworkManager-1.4.0-0.5.git20160621.072358da.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-15114a0bca

Comment 15 Fedora Update System 2016-08-12 14:28:38 UTC
NetworkManager-1.4.0-0.5.git20160621.072358da.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-15114a0bca

Comment 16 Geoffrey Marr 2016-08-15 19:06:41 UTC
Discussed during the 2016-08-15 blocker review meeting: [1]

This bug is still in delayed-classification status, as no new bug criteria have been submitted.

[1] https://meetbot.fedoraproject.org/fedora-blocker-review/2016-08-15/f25-blocker-review.2016-08-15-16.00.txt

Comment 17 Fedora Update System 2016-08-17 03:05:48 UTC
NetworkManager-1.4.0-0.5.git20160621.072358da.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2016-08-18 16:39:32 UTC
NetworkManager-1.2.4-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-fade485364

Comment 19 Fedora Update System 2016-08-19 00:57:06 UTC
NetworkManager-1.2.4-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-fade485364

Comment 20 Adam Williamson 2016-08-19 05:54:53 UTC
dropping all F25 blocker/FE metadata, as the fix has been pushed stable for F25, and flipping the release to 24, as it's the only remaining affected release.

Comment 21 Fedora Update System 2016-08-19 19:49:51 UTC
NetworkManager-1.2.4-2.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.